Plugin compatibility

I read a post in the past 10 days that had a list of plugins that didn't work well together or couldn't be used together, not sure which. I can't seem to find it so I'm reaching out to the community for some help. I have current WPMU/Buddypress/bbpress install.

I have a few questions:

1.) I'm going to be using the supporter plugin. What plugins shouldn't I use if using supporter?

2.) Are there other any known plugins conflicts other then those that shouldn't be used with supporter?